#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,160,200,240,280,320,640,1320,1960,2640
 * N : 25,80,160,200,240,280,320,640,1320,1960,2640
 * NB : 4,8,8,8,24,40,40,40,56,40,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 4; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 260) (nb_) = 24; \
   else if ((n_) < 980) (nb_) = 40; \
   else if ((n_) < 1640) (nb_) = 56; \
   else if ((n_) < 2300) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
